//
//  Item+CoreDataProperties.swift
//  Reader
//
//  Created by Shadowfacts on 1/9/22.
//
//

import Foundation
import CoreData


extension Item {

    @nonobjc public class func fetchRequest() -> NSFetchRequest<Item> {
        return NSFetchRequest<Item>(entityName: "Item")
    }

    @NSManaged public var author: String?
    @NSManaged public var content: String?
    @NSManaged public var id: String?
    @NSManaged public var needsReadStateSync: Bool
    @NSManaged public var published: Date?
    @NSManaged public var read: Bool
    @NSManaged public var title: String?
    @NSManaged public var url: URL?
    @NSManaged public var feed: Feed?

}

extension Item : Identifiable {

}
