//
//  Group+CoreDataClass.swift
//  Reader
//
//  Created by Shadowfacts on 1/9/22.
//
//

import Foundation
import CoreData
import Fervor

@objc(Group)
public class Group: NSManagedObject {
    
    func updateFromServer(_ serverGroup: Fervor.Group) {
        guard self.id == nil || self.id == serverGroup.id else { return }
        self.id = serverGroup.id
        self.title = serverGroup.title
        // feeds relationships will be updated after feeds are created in PersistentContainer.sync
    }
    

}
