//
//  Group+CoreDataProperties.swift
//  Reader
//
//  Created by Shadowfacts on 1/9/22.
//
//

import Foundation
import CoreData


extension Group {

    @nonobjc public class func fetchRequest() -> NSFetchRequest<Group> {
        return NSFetchRequest<Group>(entityName: "Group")
    }

    @NSManaged public var id: String?
    @NSManaged public var title: String
    @NSManaged public var feeds: NSSet?

}

// MARK: Generated accessors for feeds
extension Group {

    @objc(addFeedsObject:)
    @NSManaged public func addToFeeds(_ value: Feed)

    @objc(removeFeedsObject:)
    @NSManaged public func removeFromFeeds(_ value: Feed)

    @objc(addFeeds:)
    @NSManaged public func addToFeeds(_ values: NSSet)

    @objc(removeFeeds:)
    @NSManaged public func removeFromFeeds(_ values: NSSet)

}

extension Group : Identifiable {

}
